Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hp.hpl.jena.rdf.arp
Class DOM2Model

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          com.hp.hpl.jena.rdf.arp.impl.XMLHandler
              com.hp.hpl.jena.rdf.arp.impl.SAX2RDFImpl
                  com.hp.hpl.jena.rdf.arp.SAX2RDF
                      com.hp.hpl.jena.rdf.arp.SAX2Model
                          com.hp.hpl.jena.rdf.arp.DOM2Model

All Implemented Interfaces:
  ARPConfig, ARPErrorNumbers, com.hp.hpl.jena.rdf.arp.impl.Names, org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler

    public class DOM2Model

extends SAX2Model

Transform DOM nodes of RDF.XML into Jena Models. Known not to work with Java 1.4.1.

Author:
  Jeremy J. Carroll

Field Summary

Fields inherited from class com.hp.hpl.jena.rdf.arp.impl.XMLHandler
`nullScopeHandler, nullStatementHandler`

Fields inherited from interface com.hp.hpl.jena.rdf.arp.ARPErrorNumbers
`EM_ERROR, EM_FATAL, EM_IGNORE, EM_WARNING, ERR_ABOUTEACH_NOT_TOPLEVEL, ERR_BAD_RDF_ATTRIBUTE, ERR_BAD_RDF_ELEMENT, ERR_ENCODING_MISMATCH, ERR_GENERIC_IO, ERR_INTERNAL_ERROR, ERR_INTERRUPTED, ERR_LI_AS_TYPE, ERR_NOT_WHITESPACE, ERR_RESOLVING_AGAINST_MALFORMED_BASE, ERR_RESOLVING_AGAINST_RELATIVE_BASE, ERR_RESOLVING_URI_AGAINST_NULL_BASE, ERR_SAX_ERROR, ERR_SAX_FATAL_ERROR, ERR_STRING_NOT_NORMAL_FORM_C, ERR_SYNTAX_ERROR, ERR_UNABLE_TO_RECOVER, ERR_URI_NOT_NORMAL_FORM_C, ERR_UTF_ENCODING, IGN_DAML_COLLECTION, IGN_NO_BASE_URI_SPECIFIED, IGN_PRIVATE_XMLLANG, IGN_XMLBASE_SIGNIFICANT, IGN_XMLBASE_USED, WARN_BAD_NAME, WARN_BAD_NAMESPACE_URI, WARN_BAD_RDF_NAMESPACE_URI, WARN_BAD_XML, WARN_BAD_XML_NAMESPACE_URI, WARN_BAD_XMLLANG, WARN_BIG_FILE, WARN_DEPRECATED_XMLLANG, WARN_ENCODING_MISMATCH, WARN_IN_STRICT_MODE, WARN_LEGAL_REUSE_OF_ID, WARN_MALFORMED_URI, WARN_MALFORMED_XMLLANG, WARN_MINOR_INTERNAL_ERROR, WARN_NON_IANA_ENCODING, WARN_NONCANONICAL_IANA_NAME, WARN_NOT_RDF_NAMESPACE, WARN_PROCESSING_INSTRUCTION_IN_RDF, WARN_QNAME_AS_ID, WARN_RDF_NN_AS_TYPE, WARN_REDEFINITION_OF_ID, WARN_RELATIVE_NAMESPACE_URI_DEPRECATED, WARN_RELATIVE_URI, WARN_RESOLVING_URI_AGAINST_EMPTY_BASE, WARN_SAX_WARNING, WARN_STRING_COMPOSING_CHAR, WARN_STRING_NOT_NORMAL_FORM_C, WARN_UNKNOWN_PARSETYPE, WARN_UNKNOWN_RDF_ATTRIBUTE, WARN_UNKNOWN_RDF_ELEMENT, WARN_UNKNOWN_XML_ATTRIBUTE, WARN_UNQUALIFIED_ATTRIBUTE, WARN_UNQUALIFIED_ELEMENT, WARN_UNQUALIFIED_RDF_ATTRIBUTE, WARN_UNSUPPORTED_ENCODING, WARN_URI_COMPOSING_CHAR, WARN_XMLBASE_MISSING`

Fields inherited from interface com.hp.hpl.jena.rdf.arp.impl.Names
`A_ABOUT, A_BADATTRS, A_BAGID, A_DATATYPE, A_DEPRECATED, A_ID, A_NODEID, A_PARSETYPE, A_RESOURCE, A_TYPE, A_XML_OTHER, A_XMLBASE, A_XMLLANG, A_XMLNS, CoreAndOldTerms, DAML_FIRST, DAML_LIST, DAML_NIL, DAML_REST, damlns, E_DESCRIPTION, E_LI, E_RDF, RDF_FIRST, RDF_NIL, RDF_OBJECT, RDF_PREDICATE, RDF_REST, RDF_STATEMENT, RDF_SUBJECT, RDF_TYPE, rdfns, xmlns, xmlnsns`

Constructor Summary
`DOM2Model(java.lang.String base, Model m)` Deprecated. Use `createD2M(String, Model)`
`DOM2Model(java.lang.String base, Model m, java.lang.String lang)` Deprecated. Use `createD2M(String, Model, String)`

Method Summary
`static DOM2Model` | `createD2M(java.lang.String base, Model m)` Create a new DOM2Model.
`static DOM2Model` | `createD2M(java.lang.String base, Model m, java.lang.String lang)` Create a new DOM2Model.
`void` | `load(org.w3c.dom.Node document)` Parse a DOM Node with the RDF/XML parser, loading the triples into the associated Model.

Methods inherited from class com.hp.hpl.jena.rdf.arp.SAX2Model
`close, create, create, newInstance, newInstance, setErrorHandler, setProperty, startPrefixMapping`

Methods inherited from class com.hp.hpl.jena.rdf.arp.SAX2RDF
`create, create, getHandlers, getOptions, installHandlers, newInstance, newInstance, setHandlersWith, setOptionsWith`

Methods inherited from class com.hp.hpl.jena.rdf.arp.impl.SAX2RDFImpl
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, ignorableWhitespace, processingInstruction, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, warning`

Methods inherited from class com.hp.hpl.jena.rdf.arp.impl.XMLHandler
`allowRelativeURIs, endLocalScope, endRDF, getLocator, getSimpleName, initParse, isError, location, sameDocRef, setBadStatementHandler, setDocumentLocator, startRDF, triple, warning`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`notationDecl, resolveEntity, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.xml.sax.ContentHandler
`setDocumentLocator`

Constructor Detail

### DOM2Model

    public DOM2Model(java.lang.String base,
                     Model m)
              throws MalformedURIException

  Deprecated. Use `createD2M(String, Model)`

  Create a new DOM2Model.

  Parameters:
    `base` - The retrieval URL, or the base URI to be used while parsing.
    `m` - A Jena Model in which to put the triples, this can be null. If it is null, then use `SAX2RDF.getHandlers()`or `SAX2RDF.setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`to provide a `StatementHandler`, and usually an `ErrorHandler`
  Throws:
    `MalformedURIException`

### DOM2Model

    public DOM2Model(java.lang.String base,
                     Model m,
                     java.lang.String lang)
              throws MalformedURIException

  Deprecated. Use `createD2M(String, Model, String)`

  Create a new DOM2Model. This is particularly intended for when parsing a non-root element within an XML document. In which case the application needs to find this value in the outer context. Optionally, namespace prefixes can be passed from the outer context using `SAX2RDF.startPrefixMapping(java.lang.String, java.lang.String)`.

  Parameters:
    `base` - The retrieval URL, or the base URI to be used while parsing.
    `m` - A Jena Model in which to put the triples, this can be null. If it is null, then use `SAX2RDF.getHandlers()`or `SAX2RDF.setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`to provide a `StatementHandler`, and usually an `ErrorHandler`
    `lang` - The current value of `xml:lang` when parsing starts, usually "".
  Throws:
    `MalformedURIException`

Method Detail

### createD2M

    public static DOM2Model createD2M(java.lang.String base,
                                      Model m)
                               throws org.xml.sax.SAXParseException

  Create a new DOM2Model.

  Parameters:
    `base` - The retrieval URL, or the base URI to be used while parsing.
    `m` - A Jena Model in which to put the triples, this can be null. If it is null, then use `SAX2RDF.getHandlers()`or `SAX2RDF.setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`to provide a `StatementHandler`, and usually an `ErrorHandler`
  Throws:
    `org.xml.sax.SAXParseException`

### createD2M

    public static DOM2Model createD2M(java.lang.String base,
                                      Model m,
                                      java.lang.String lang)
                               throws org.xml.sax.SAXParseException

  Create a new DOM2Model. This is particularly intended for when parsing a non-root element within an XML document. In which case the application needs to find this value in the outer context. Optionally, namespace prefixes can be passed from the outer context using `SAX2RDF.startPrefixMapping(java.lang.String, java.lang.String)`.

  Parameters:
    `base` - The retrieval URL, or the base URI to be used while parsing.
    `m` - A Jena Model in which to put the triples, this can be null. If it is null, then use `SAX2RDF.getHandlers()`or `SAX2RDF.setHandlersWith(com.hp.hpl.jena.rdf.arp.ARPHandlers)`to provide a `StatementHandler`, and usually an `ErrorHandler`
    `lang` - The current value of `xml:lang` when parsing starts, usually "".
  Throws:
    `org.xml.sax.SAXParseException`

### load

    public void load(org.w3c.dom.Node document)

  Parse a DOM Node with the RDF/XML parser, loading the triples into the associated Model. Known not to work with Java 1.4.1.

  Parameters:
    `document` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2001, 2002, 2003, 2004, 2005, 2006, 2007, 2008 Hewlett-Packard Development Company, LP